> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mindgard.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects

> Lists all projects that the requesting user has at minimum read access to.



## OpenAPI

````yaml https://demo.us.mindgard.ai/api/openapi.json get /v1/beta/projects
openapi: 3.1.0
info:
  title: Mindgard Public API
  description: This is the public API for Mindgard.
  version: 1.0.0
  contact:
    name: Mindgard Support
    email: support@mindgard.ai
servers:
  - url: https://demo.us.mindgard.ai/api
security:
  - BearerAuth: []
tags:
  - name: Projects
    x-displayName: Projects
  - name: Tests
    x-displayName: Tests
  - name: Findings
    x-displayName: Findings
  - name: Datasets
    x-displayName: Datasets
  - name: Multi-Turn Tests
    x-displayName: Multi-Turn Tests
  - name: Reconnaissance
    x-displayName: Reconnaissance
paths:
  /v1/beta/projects:
    get:
      tags:
        - Projects
      summary: List Projects
      description: >-
        Lists all projects that the requesting user has at minimum read access
        to.
      operationId: list_projects_public_projects__get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiListResponse_Project_'
components:
  schemas:
    PublicApiListResponse_Project_:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/PublicApiDataResponse_Project_'
              type: array
            - type: 'null'
          title: Data
        links:
          anyOf:
            - $ref: '#/components/schemas/PublicApiLinks'
            - type: 'null'
      type: object
      title: PublicApiListResponse[Project]
    PublicApiDataResponse_Project_:
      properties:
        id:
          title: Id
        type:
          type: string
          title: Type
        attributes:
          anyOf:
            - $ref: '#/components/schemas/Project'
            - type: 'null'
      type: object
      required:
        - id
        - type
      title: PublicApiDataResponse[Project]
    PublicApiLinks:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - next
      title: PublicApiLinks
    Project:
      properties:
        created_at:
          type: string
          format: date-time
          title: Created At
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
      type: object
      required:
        - created_at
        - slug
        - name
      title: Project
  securitySchemes:
    BearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````